Bug 1261571 - SELinux is preventing abrt-hook-ccpp from using the 'sigchld' accesses on a process. [NEEDINFO]
SELinux is preventing abrt-hook-ccpp from using the 'sigchld' accesses on a p...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
23
x86_64 Unspecified
high Severity high
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:6e46e61d85a0bbf7099aba061d5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-09 13:28 EDT by Jan Kowalski
Modified: 2015-12-12 20:27 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-12 15:49:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mgrepl: needinfo? (lvrabec)


Attachments (Terms of Use)

  None (edit)
Description Jan Kowalski 2015-09-09 13:28:21 EDT
Description of problem:
SELinux is preventing abrt-hook-ccpp from using the 'sigchld' accesses on a process.

*****  Plugin catchall (100. confidence) suggests   **************************

If jeśli abrt-hook-ccpp powinno mieć domyślnie sigchld dostęp do procesów z etykietami kernel_t.
Then proszę to zgłosić jako błąd.
Można utworzyć lokalny moduł polityki, aby umożliwić ten dostęp.
Do
można tymczasowo zezwolić na ten dostęp wykonując polecenia:
# grep abrt-hook-ccpp /var/log/audit/audit.log | audit2allow -M mojapolityka
# semodule -i mojapolityka.pp

Additional Information:
Source Context                system_u:system_r:syslogd_t:s0
Target Context                system_u:system_r:kernel_t:s0
Target Objects                Unknown [ process ]
Source                        abrt-hook-ccpp
Source Path                   abrt-hook-ccpp
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-146.fc23.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.2.0-300.fc23.x86_64 #1 SMP Fri
                              Sep 4 13:27:08 UTC 2015 x86_64 x86_64
Alert Count                   1
First Seen                    2015-09-09 19:26:23 CEST
Last Seen                     2015-09-09 19:26:23 CEST
Local ID                      cc038d0b-c082-40b3-acdc-15f84fae80d4

Raw Audit Messages
type=AVC msg=audit(1441819583.716:650): avc:  denied  { sigchld } for  pid=3018 comm="abrt-hook-ccpp" scontext=system_u:system_r:syslogd_t:s0 tcontext=system_u:system_r:kernel_t:s0 tclass=process permissive=0


Hash: abrt-hook-ccpp,syslogd_t,kernel_t,process,sigchld

Version-Release number of selected component:
selinux-policy-3.13.1-146.fc23.noarch

Additional info:
reporter:       libreport-2.6.2
hashmarkername: setroubleshoot
kernel:         4.2.0-300.fc23.x86_64
type:           libreport
Comment 1 Lukas Slebodnik 2015-10-07 11:51:14 EDT
Description of problem:
It happen when systemd-journald crashed and abrt-ccpp did its job.

Version-Release number of selected component:
selinux-policy-3.13.1-147.fc23.noarch

Additional info:
reporter:       libreport-2.6.2
hashmarkername: setroubleshoot
kernel:         4.2.2-300.fc23.x86_64
type:           libreport
Comment 2 Miroslav Grepl 2015-10-12 15:49:12 EDT
Lukas,
please update to the latest policy builds.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.